/*
 * Copyright (c) 2012, 2014, 2016, The Linux Foundation. All rights reserved.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 and
 * only version 2 as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 */

#ifndef __SIRF_RST_H
#define __SIRF_RST_H

#ifdef CONFIG_ARCH_MARCO
#define RESET_CONTROLLER_BASE			0xC2000000
#define RESET_SR0_SET				(RESET_CONTROLLER_BASE + 0x0000)
#define RESET_SR0_CLR				(RESET_CONTROLLER_BASE + 0x0004)
#define RESET_SR1_SET				(RESET_CONTROLLER_BASE + 0x0008)
#define RESET_SR1_CLR				(RESET_CONTROLLER_BASE + 0x000C)
#else
#define RESET_CONTROLLER_BASE			0x88010000
#define RESET_SR0				(RESET_CONTROLLER_BASE + 0x0000)
#define RESET_SR1				(RESET_CONTROLLER_BASE + 0x0004)
#endif

#define RESET_SR_DSP_RST			0x00000001
#define RESET_SR_DIFACE_RST			0x00000002
#define RESET_SR_GPS_RST			0x00000004
#define RESET_SR_GRAPHIC_RST			0x00000008
#define RESET_SR_MEDIA_RST			0x00000010
#define RESET_SR_LCD_RST			0x00000020
#define RESET_SR_VPP_RST			0x00000040
#define RESET_SR_MEMC_RST			0x00000080
#define RESET_SR_USB0_RST			0x00000100
#define RESET_SR_USB1_RST			0x00000200
#define RESET_SR_SATA_RST			0x00000400
#define RESET_SR_SECURITY_RST			0x00000800
#define RESET_SR_CPHIF_RST			0x00001000
#define RESET_SR_ROM_RST			0x00002000
#define RESET_SR_NAND_RST			0x00004000
#define RESET_SR_AUDIO_RST			0x00008000
#define RESET_SR_DAC_RST			0x00010000
#define RESET_SR_UART0_RST			0x00020000
#define RESET_SR_UART1_RST			0x00040000
#define RESET_SR_UART2_RST			0x00080000
#define RESET_SR_USP0_RST			0x00100000
#define RESET_SR_USP1_RST			0x00200000
#define RESET_SR_USP2_RST			0x00400000
#define RESET_SR_DMA0_RST			0x00800000
#define RESET_SR_DMA1_RST			0x01000000
#define RESET_SR_VIP_RST			0x02000000
#define RESET_SR_SPI0_RST			0x04000000
#define RESET_SR_SPI1_RST			0x08000000
#define RESET_SR_I2C0_RST			0x10000000
#define RESET_SR_I2C1_RST			0x20000000
#define RESET_SR_PCI_RST			0x40000000
#define RESET_SR_SYS_RST			0x80000000

#define RESET_SR_TSC_RST			0x00000001
#define RESET_SR_SDIO01_RST			0x00000002
#define RESET_SR_SDIO23_RST			0x00000004
#define RESET_SR_SDIO45_RST			0x00000008
#define RESET_SR_PWM_RST			0x00000010
#define RESET_SR_EFUSESYS_RST			0x00000020
#define RESET_SR_PULSEC_RST			0x00000040
#define RESET_SR_DSPGPSARB_RST			0x00000080
#define RESET_SR_SUBAXI_RST			0x00000100
#define RESET_SR_UUSAXI_RST			0x00000200
#define RESET_SR_PCIARB_RST			0x00000400
#define RESET_SR_SYS2PCI_RST			0x00000800
#define RESET_SR_CPURTCIOBG_RST			0x00001000

#endif
